CLIB_INTUITION_PROTOS_HCLIB_INTUITION_PROTOS_HINTUITION_INTUITION_H<intuition/intuition.h>INTUITION_CLASSES_H<intuition/classes.h>INTUITION_CGHOOKS_H<intuition/cghooks.h>INTUITION_CLASSUSR_H<intuition/classusr.h>
OpenIntuition();
Intuition(InputEvent*iEvent);
AddGadget(Window*window,*gadget,
position);
BOOL ClearDMRequest(Window*window);
ClearMenuStrip(Window*window);
ClearPointer(Window*window);
BOOL CloseScreen(Screen*screen);
CloseWindow(Window*window);
CloseWorkBench();
CurrentTime(*seconds,*micros);
BOOL DisplayAlert(alertNumber,*string,
height);
DisplayBeep(Screen*screen);
BOOL DoubleClick(sSeconds,sMicros,
cSeconds,cMicros);
DrawBorder(RastPort*rp,Border*border,leftOffset,
topOffset);
DrawImage(RastPort*rp,Image*image,leftOffset,
topOffset);
EndRequest(Requester*requester,Window*window);
Preferences*GetDefPrefs(Preferences*preferences,size);
Preferences*GetPrefs(Preferences*preferences,size);
InitRequester(Requester*requester);
MenuItem*ItemAddress(Menu*menuStrip,
menuNumber);
BOOL ModifyIDCMP(Window*window,flags);
ModifyProp(*gadget,Window*window,
Requester*requester,flags,
horizPot,vertPot,
horizBody,vertBody);
MoveScreen(Screen*screen,dx,dy);
MoveWindow(Window*window,dx,dy);
OffGadget(*gadget,Window*window,
Requester*requester);
OffMenu(Window*window,menuNumber);
OnGadget(*gadget,Window*window,
Requester*requester);
OnMenu(Window*window,menuNumber);
Screen*OpenScreen(NewScreen*newScreen);
Window*OpenWindow(NewWindow*newWindow);
OpenWorkBench();
PrintIText(RastPort*rp,IntuiText*iText,left,
top);
RefreshGadgets(*gadgets,Window*window,
Requester*requester);
RemoveGadget(Window*window,*gadget);
ReportMouse(flag,Window*window);
ReportMouse1(Window*window,flag);
BOOL Request(Requester*requester,Window*window);
ScreenToBack(Screen*screen);
ScreenToFront(Screen*screen);
BOOL SetDMRequest(Window*window,Requester*requester);
BOOL SetMenuStrip(Window*window,Menu*menu);
SetPointer(Window*window,*pointer,height,
width,xOffset,yOffset);
SetWindowTitles(Window*window,*windowTitle,
*screenTitle);
ShowTitle(Screen*screen,showIt);
SizeWindow(Window*window,dx,dy);
View*ViewAddress();
ViewPort*ViewPortAddress(Window*window);
WindowToBack(Window*window);
WindowToFront(Window*window);
BOOL WindowLimits(Window*window,widthMin,heightMin,
widthMax,heightMax);
Preferences*SetPrefs(Preferences*preferences,size,
inform);
IntuiTextLength(IntuiText*iText);
BOOL WBenchToBack();
BOOL WBenchToFront();
BOOL AutoRequest(Window*window,IntuiText*body,
IntuiText*posText,IntuiText*negText,
pFlag,nFlag,width,
height);
BeginRefresh(Window*window);
Window*BuildSysRequest(Window*window,IntuiText*body,
IntuiText*posText,IntuiText*negText,
flags,width,height);
EndRefresh(Window*window,complete);
FreeSysRequest(Window*window);
MakeScreen(Screen*screen);
RemakeDisplay();
RethinkDisplay();
AllocRemember(Remember**rememberKey,size,
flags);
AlohaWorkbench(wbport);
FreeRemember(Remember**rememberKey,reallyForget);
LockIBase(dontknow);
UnlockIBase(ibLock);
GetScreenData(buffer,size,type,
Screen*screen);
RefreshGList(*gadgets,Window*window,
Requester*requester,numGad);
AddGList(Window*window,*gadget,
position,numGad,Requester*requester);
RemoveGList(Window*remPtr,*gadget,
numGad);
ActivateWindow(Window*window);
RefreshWindowFrame(Window*window);
BOOL ActivateGadget(*gadgets,Window*window,
Requester*requester);
NewModifyProp(*gadget,Window*window,
Requester*requester,flags,
horizPot,vertPot,
horizBody,vertBody,numGad);
QueryOverscan(displayID,Rectangle*rect,
oScanType);
MoveWindowInFrontOf(Window*window,
Window*behindWindow);
ChangeWindowBox(Window*window,left,top,width,
height);
Hook*SetEditHook(Hook*hook);
SetMouseQueue(Window*window,queueLength);
ZipWindow(Window*window);
Screen*LockPubScreen(*name);
UnlockPubScreen(*name,Screen*screen);
*LockPubScreenList();
UnlockPubScreenList();
*NextPubScreen(Screen*screen,*namebuf);
SetDefaultPubScreen(*name);
SetPubScreenModes(modes);
PubScreenStatus(Screen*screen,statusFlags);
RastPort*ObtainGIRPort(GadgetInfo*gInfo);
ReleaseGIRPort(RastPort*rp);
GadgetMouse(*gadget,GadgetInfo*gInfo,
*mousePoint);
GetDefaultPubScreen(*nameBuffer);
EasyRequestArgs(Window*window,EasyStruct*easyStruct,
*idcmpPtr,args);
EasyRequest(Window*window,EasyStruct*easyStruct,
*idcmpPtr,...);
Window*BuildEasyRequestArgs(Window*window,
EasyStruct*easyStruct,idcmp,args);
Window*BuildEasyRequest(Window*window,
EasyStruct*easyStruct,idcmp,...);
SysReqHandler(Window*window,*idcmpPtr,waitInput);
Window*OpenWindowTagList(NewWindow*newWindow,
TagItem*tagList);
Window*OpenWindowTags(NewWindow*newWindow,
tag1Type,...);
Screen*OpenScreenTagList(NewScreen*newScreen,
TagItem*tagList);
Screen*OpenScreenTags(NewScreen*newScreen,
tag1Type,...);
DrawImageState(RastPort*rp,Image*image,leftOffset,
topOffset,state,DrawInfo*drawInfo);
BOOL PointInImage(point,Image*image);
EraseImage(RastPort*rp,Image*image,leftOffset,
topOffset);
NewObjectA(IClass*classPtr,*classID,
TagItem*tagList);
NewObject(IClass*classPtr,*classID,tag1,
...);
DisposeObject(object);
SetAttrsA(object,TagItem*tagList);
SetAttrs(object,tag1,...);
GetAttr(attrID,object,*storagePtr);
SetGadgetAttrsA(*gadget,Window*window,
Requester*requester,TagItem*tagList);
SetGadgetAttrs(*gadget,Window*window,
Requester*requester,tag1,...);
NextObject(objectPtrPtr);
IClass*MakeClass(*classID,*superClassID,
IClass*superClassPtr,instanceSize,
flags);
AddClass(IClass*classPtr);
DrawInfo*GetScreenDrawInfo(Screen*screen);
FreeScreenDrawInfo(Screen*screen,DrawInfo*drawInfo);
BOOL ResetMenuStrip(Window*window,Menu*menu);
RemoveClass(IClass*classPtr);
BOOL FreeClass(IClass*classPtr);
ScreenBuffer*AllocScreenBuffer(Screen*sc,BitMap*bm,
flags);
FreeScreenBuffer(Screen*sc,ScreenBuffer*sb);
ChangeScreenBuffer(Screen*sc,ScreenBuffer*sb);
ScreenDepth(Screen*screen,flags,reserved);
ScreenPosition(Screen*screen,flags,x1,
y1,x2,y2);
ScrollWindowRaster(Window*win,dx,dy,xMin,
yMin,xMax,yMax);
LendMenus(Window*fromwindow,Window*towindow);
DoGadgetMethodA(*gad,Window*win,
Requester*req,Msg message);
DoGadgetMethod(*gad,Window*win,
Requester*req,MethodID,...);
SetWindowPointerA(Window*win,TagItem*taglist);
SetWindowPointer(Window*win,tag1,...);
BOOL TimedDisplayAlert(alertNumber,*string,
height,time);
HelpControl(Window*win,flags);